Subject: bug#27070: closed (Re: bug#27070: [PATCH] gnu: gnome-shell: Update to 3.24.2.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 25 May 2017 17:34:02 +0000

Your bug report

#27070: [PATCH] gnu: gnome-shell: Update to 3.24.2.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27070: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27070
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27070: [PATCH] gnu: gnome-shell: Update to 3.24.2.
From: Kei Kebreau <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Thu, 25 May 2017 13:33:11 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> writes:

> Kei Kebreau <[email-masked]> writes:
>
>> * gnu/packages/gnome.scm (gnome-shell): Update to 3.24.2.
>> [source]: Remove patch.
>
> I did a "mass-update" of the GNOME-family packages yesterday, so this is
> already in 'staging'.
>

I see. Very nice!

> There are a couple of other packages suggested by './pre-inst-env guix
> refresh -t gnome' that I'm not sure what to do about yet, maybe you can
> have a look? Thanks a lot for helping out with this effort :-)

Many hands make light work! ;-)

I'll be sure to check out the suggested packages.

Subject: [PATCH] gnu: gnome-shell: Update to 3.24.2.
From: Kei Kebreau <[email-masked]>
To: [email-masked]
Cc: Kei Kebreau <[email-masked]>
Date: Thu, 25 May 2017 12:44:28 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/gnome.scm (gnome-shell): Update to 3.24.2.
[source]: Remove patch.
---
 gnu/packages/gnome.scm | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 8d30975ca..8803ea565 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -4990,16 +4990,15 @@ properties, screen resolution, and other GNOME parameters.")
 (define-public gnome-shell
   (package
     (name "gnome-shell")
-    (version "3.22.2")
+    (version "3.24.2")
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnome/sources/" name "/"
                                   (version-major+minor version) "/"
                                   name "-" version ".tar.xz"))
-              (patches (search-patches "gnome-shell-CVE-2017-8288.patch"))
               (sha256
                (base32
-                "16smvjfrpyfphv479hjky5261hgl4kli4q86bcb2b8xdcav4w3yq"))))
+                "1xp2ccmdrvzlczsrcplykwqwx2v4lbmkr0rxyylb06danlw9mivh"))))
     (build-system glib-or-gtk-build-system)
     (arguments
      '(#:phases
-- 
2.13.0